// pages/clock/clock-success/clock-success.js
import {
  imgServerUrl
} from '../../../config/config.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgServerUrl,
    clockType: 0,
    sumMoney: 0,
    duration: 0,
    todayMoney: 0,
  },
  checkResult() {
    wx.navigateBack({
      delta: 1,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.clockType) {
      this.setData({
        clockType: Number(options.clockType),
        sumMoney: options.sumMoney,
        duration: options.duration,
        todayMoney: options.todayMoney,
      })
    }
    const date = new Date(Number(options.time))
    this.setData({
      time: [date.getHours(), date.getMinutes()].map(val => val.toString()[1] ? val : '0' + val).join(':')
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})